<?php

namespace interfaces;

interface authentication_i
{
    public function authenticate(int $customer_number, string $password): bool;
    public function create_token(int $customer_number): string;
    public function hash_password(string $password): string;
    public function match_passwords(string $password, string $hash): bool;
}